Bug 830837

Summary: [abrt] gnome-terminal-3.4.1.1-1.fc17: _gtk_bin_set_child: Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Alon Levy <alevy>
Component: gnome-terminalAssignee: Matthias Clasen <mclasen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: dblechte, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:144e15573030535a5fcff3f4c7fef4e6234da012
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 00:04:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace
none
File: maps
none
File: dso_list
none
File: open_fds none

Description Alon Levy 2012-06-11 09:49:45 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-terminal
comment:        no idea. had many terminals open.
core_backtrace: 
crash_function: _gtk_bin_set_child
executable:     /usr/bin/gnome-terminal
kernel:         3.3.4-5.fc17.x86_64
pid:            5873
pwd:            /home/alon
time:           Mon 11 Jun 2012 03:59:35 PM IDT
uid:            1000
username:       alon

backtrace:      Text file, 18780 bytes
dso_list:       Text file, 8672 bytes
maps:           Text file, 43221 bytes
open_fds:       Text file, 4312 bytes

build_ids:
:8b33feb27b2125997520fdd21c90c42a65e438f1
:986068be78827a73bf98ef4d4f23cc915f298fd6
:8568e11bef79abaf14513d18a8559282d8dad34a
:54a5cc118d928470da13565de8592b664a9868e0
:647c8183274c4626c81e86e7a631a81782a04e65
:127f8958b602715234a02b88adb08afd9e34c203
:b6d75088f555d197be1476cb1c580640826ae029
:7024c532984148e2b555c6194ff684a6d0e80d78
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:87712be648d2d43ea4cd002fe7a859df636f1e13
:214f93d7c66b541d9f493dcc1d361cb46def58c2
:b277af36744327e3d58eae76bcdaadcca71a28c6
:7716bc5c1738194dad6ec6679d05ae3782139288
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:03a3531257193c88ade30f23f9dc93545fa5397d
:d804f8ee47797da9213a92f00cd095ecada8d79f
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:e91010b497ec024178c36f4365b21f668bada0ca
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:faca16f15d87b83d2947a386e319b02f724dcbb5
:e8072e89279c50bd27e7954a84f8a4aa290b6a2c
:6419b38400feb8414d331a1f2deebb0012d0d72e
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:bc7265d20c6beef919297c89fbf11ba82149b2b9
:3d60535f052babb998bae4807bc992c5d15df5c4
:253afe744466fe7580bbb6040de6183dba9e2b02
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:f64b7319b84d426ed547084bdb2577f4f596c18f
:508cf66f72e70054a41215f80ed2385c6bb80030
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:e3354959e32e471066df83c93f98f33e75198697
:822e9b3523e8312240f41a25722d539bc77ed436
:73777e822e00ca152ffca281ab0ace0cb498ec48
:404cbecd24d186758ed474b345313da28b2990fa
:5f38673817f5af84b3d0c900dc8655326560a140
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:1a0c09f270adf8398df4362ce0acfafc1f970982
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:731b3801f71de6bd888953161b715e6cbda0ab60
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:fce4569ceeae1e716f4efcc2334d057a178b4e1b
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:4194f49481485f98de7853b6407338a4393171ac
:8f7c190397d7c1f617e66f18f759714662b60367
:1d4df97fa6024b097b634a272447243c95c26d85
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:247132297f287226a24c12e683292f5c94013066
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/alon/2

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=garlic
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=100000
:XDG_SESSION_COOKIE=1c622f144331a420b9a22d230000000e-1339404206.550230-1676811857
:ISISROOT=/images/spaceil/isis3/isis
:GNOME_KEYRING_CONTROL=/run/user/alon/keyring-DSt46W
:JBOSS_HOME=/home/alon/src/spice_upstream/jboss-eap-5.1.1
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:HISTFILESIZE=100000
:USER=alon
:LS_COLORS=:*.do=00;35:
:USERNAME=johndoe
:SQUEAK_IMAGE=/home/alon/squeak_image/squeak.image
:MAIL=/var/spool/mail/alon
:PATH=/home/alon/local/bin:/home/alon/bin:/home/alon/root/bin:/home/alon/.local/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin::/spaceil/spice/cspice/exe/
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:BUILDP_REFIX=/home/alon/.local
:PWD=/home/alon
:XMODIFIERS=@im=none
:EDITOR=vim
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=5217
:LANG=en_US.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=en_US.utf8
:LOADEDMODULES=
:KDEDIRS=/usr
:'PS1=$(uname -m) \\[\\e[1;$((31 + $(hostname | cksum | cut -c1-3) % 6))m\\]\\h\\[\\e[0m\\]:\\W \\u\\[\\e[1;3m\\]$(__git_ps1)\\[\\e[0m\\]\\$ '
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoreboth
:XDG_SEAT=seat0
:HOME=/home/alon
:SHLVL=1
:PYTHONPATH=:/home/alon/.local/lib/python2.7/site-packages/:/home/alon/.local/lib64/python2.7/site-packages
:LOGNAME=alon
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-3bZN8FNiRf,guid=1214c996310843711ebc9af200000041
:MODULESHOME=/usr/share/Modules
:PKG_CONFIG_PATH=:/home/alon/.local/lib/pkgconfig:/home/alon/.local/lib64/pkgconfig
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/alon
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-alon-Ad7B83/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/5221,unix/unix:/tmp/.ICE-unix/5221
:GPG_AGENT_INFO=/run/user/alon/keyring-DSt46W/gpg:0:1
:SSH_AUTH_SOCK=/run/user/alon/keyring-DSt46W/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-terminal.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5873
:DESKTOP_STARTUP_ID=gnome-shell-5480-garlic-gnome-terminal-0_TIME115282

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29861                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         4294967296           4294967296           bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29861                29861                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         40                   40                   
:Max realtime priority     70                   70                   
:Max realtime timeout      unlimited            unlimited            us        

var_log_messages:
:Jun 11 15:59:35 garlic kernel: [15426.254670] gnome-terminal[5873]: segfault at 28 ip 00000031be4ac660 sp 00007fff5c624698 error 4 in libgtk-3.so.0.400.3[31be400000+472000]
:Jun 11 15:59:37 garlic abrt[16604]: Saved core dump of pid 5873 (/usr/bin/gnome-terminal) to /var/spool/abrt/ccpp-2012-06-11-15:59:35-5873 (67727360 bytes)
Comment 1 Alon Levy 2012-06-11 09:49:50 EDT
Created attachment 590937 [details]
File: backtrace
Comment 2 Alon Levy 2012-06-11 09:49:52 EDT
Created attachment 590938 [details]
File: maps
Comment 3 Alon Levy 2012-06-11 09:49:54 EDT
Created attachment 590939 [details]
File: dso_list
Comment 4 Alon Levy 2012-06-11 09:49:56 EDT
Created attachment 590940 [details]
File: open_fds
Comment 5 Fedora End Of Life 2013-07-03 20:23:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 00:04:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.